package com.yd.dal.service.meta;

import com.yd.dal.entity.meta.MdCode;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("mdCodeDALService")
public interface MdCodeDALService {
    /**
     * 通过codeType获取配置信息
     * @param codeType
     * @return
     */
    List<MdCode> findByCodeType(String codeType);

    /**
     * 通过type获取code并且 is_active = 1
     * @param codeType
     * @return
     */
    String findCodeByType(String codeType);

    /**
     * 查询mdcode信息
     */
    List<MdCode> findByMdCode(MdCode mdCode);
}
